// BWThumbnailHTMLAccumululator -- Builder object that accumulates HTML
//				   based on a set of HTML snippets.
//				   Once the HTML is accumulated, it can be
//				   written to a file

// Copyright (C) 2005 Borkware, LLC
// We use the BSD License.  Check out http://borkware.com/license

#import <Cocoa/Cocoa.h>

@class BWSnippetKeeper;

@interface BWThumbnailHTMLAccumulator : NSObject
{
    BWSnippetKeeper *snippets;

    NSMutableString *html;

    int imagesSeen;
    int everyX;
}

+ (id) accumulatorWithSnippets: (BWSnippetKeeper *) snippets;

// add the different chunks of interesting stuf
- (void) addHeader;
- (void) addBeforeThumbnails;
- (void) addImageNamed: (NSString *) imageName
        thumbnailNamed: (NSString *) thumbName
                  size: (NSSize) dimensions;
- (void) addAfterThumbnails;
- (void) addFooter;
- (void) addArbitraryHTML: (NSString *) html;

// see the html
- (NSString *) html;

- (void) writeToFile: (NSString *) path;

@end // BWThumbnailHTMLAccumulator

